FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 07-29-2011, 07:46 PM
Michael Biebl
 
Default Bug#635956: ITP: lxpolkit -- LXDE PolicyKit authentication agent

Am 30.07.2011 05:11, schrieb Norman García:
> Package: wnpp
> Severity: wishlist
> Owner: "Norman García" <norman@riseup.net>
>
>
> * Package name : lxpolkit
> Version : 0.1.0
> Upstream Author : Hong Hen Yee (PCMan) <pcman.tw@gmail.com>
> * URL : http://www.lxde.org
> * License : GPL3+
> Programming Lang: C
> Description : LXDE PolicyKit authentication agent
>
> LXPolkit is a simple PolicyKit authentication agent than policykit-gnome.

With LXPolkit, there are now 4 different policykit authentication agents:
- policykit-1-gnome (targetted at GNOME 2 / GNOME 3 fallback mode)
- gnome-shell (GNOME 3 [1])
- polkit-kde-1 (KDE 4)
- LXPolkit (LXDE)

There are already quite a few applications (mostly GNOME based) which depend on
an explicit policykit authentication agent implementation (namely policykit-1-gnome)

Imho it would make sense to introduce a new virtual package name (e.g
policykit-authentication-agent-1) that is provided by the packages I named above.

The desktop meta packages, like kdebase-workspace or gnome, would depend on a
specific implementation.
Invididual applications should depend on the virtual package.

Thoughts, comments?

Michael

[1] http://davidz25.blogspot.com/2011/02/gnome-3-authorization.html
--
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
 

Thread Tools




All times are GMT. The time now is 08:46 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org